; Globalpro.ml		Site specific global Emacs profile
; 
; This file is executed by every Emacs before any other startup file is
; executed (unless all startup files are disabled by the -f command line
; switch).
; 
(setq-default database-directory	"/usr/lib/emacs/databases/")
(setq-default emacs-helper-bin-dir	"/usr/lib/emacs/")
(setq-default umask-for-checkpoints	0664)
(setq-default eot-process-works		0)

;
; System definition variables.  Note these are all lower case and
; have the sys_ prefix.
;
(setq-default sys_4.2bsd	0)
(setq-default sys_4.1bsd	0)
(setq-default sys_v7		0)
(setq-default sys_sysiii	0)
(setq-default sys_sysv		1)
(setq-default sys_unisoft	0)	; 1 if unisoft Unix port

; Buffers used by packages that start up processes.  There is no reason that
; these should all name the same buffer.  If you don't define these here,
; the packages themselves will use a default, e.g. grep.ml uses
; "grep output".
; 
(setq-default &grep-buffer	"Error log")
(setq-default &cmpl-buffer	"Error log")
(setq-default &lint-buffer	"Error log")
(setq-default &spell-buffer	"Error log")
(setq-default &excmd-buffer	"Error log")

; Package loading and keybindings
;
(autoload "cd"				"pwd.ml")
(autoload "pwd"				"pwd.ml")
(autoload "new-compile-it"		"compile.ml"	"\^x\^e")
(autoload "new-undo"			"undo.ml"       "\^x\^u")

(autoload "manual-entry"		"man.ml")
(autoload "describe-command"		"info.ml")
(autoload "describe-variable"		"info.ml")
(autoload "describe-word-in-buffer"	"desword.ml"    "\^x\^d")
(autoload "info"			"info.ml"	"\^xi")

(autoload "justify-paragraph"		"justify.ml"    "\ej")
; note that the binding ESC-[ may get replaced by a terminal special-key
; binding because special keys on many terminals send this string
(autoload "backward-paragraph"		"paragraphs.ml" "\e[")
(autoload "forward-paragraph"		"paragraphs.ml" "\e]")
(autoload "backward-paragraph"		"paragraphs.ml" "\e{")
(autoload "forward-paragraph"		"paragraphs.ml" "\e}")
(autoload "backward-sentence"		"sentences.ml"  "\ea")
(autoload "forward-sentence"		"sentences.ml"  "\ee")
(autoload "kill-to-end-of-sentence"	"sentences.ml"  "\ek")
(autoload "kill-to-beginning-of-sentence"	"sentences.ml"  "\^X\177")
(autoload "whist"                       "whist.ml")
(autoload "grep"                        "grep.ml")
(autoload "spell"			"spell.ml")

(autoload "normal-mode"			"normal-mode.ml")
(autoload "text-mode"			"text-mode.ml")
(autoload "elec-c-mode"			"elec-c.ml")
(autoload "elec-lisp-mode"		"elec-lisp.ml")
(autoload "elec-mlisp-mode"		"elec-lisp.ml")

(autoload "expand-mlisp-word"		"expand.ml")
(autoload "expand-mlisp-variable"	"expand.ml")
(autoload "single-step-handler"		"debug.ml")
(autoload "debug"			"debug.ml")

(autoload "mail"			"berkmail.ml"  "\^xr")
(autoload "send-mail"			"berkmail.ml"  "\^xm")

(load "common.ml")
; 
; Load terminal-specific library
;
(error-occurred (load (concat (getenv "TERM") ".ml")))
;
; +SYSTEM-DEPENDENT+ definitions
;
(if use-async-processes
	(autoload "shell"			"process.ml")
	(autoload "shell"                       "cheap-shell.ml")
)
(novalue)

