From moriarty@fluke.UUCP (Jeff Meyer) Mon Jan  7 14:26:57 1985
Relay-Version: version B 2.10.2 9/18/84; site topaz.ARPA
Posting-Version: version B 2.10.2.fluke 9/24/84; site fluke.UUCP
Path: topaz!seismo!harvard!godot!mit-eddie!genrad!decvax!bellcore!allegra!ulysses!mhuxr!mhuxj!houxm!vax135!cornell!uw-beaver!ssc-vax!fluke!moriarty
From: moriarty@fluke.UUCP (Jeff Meyer)
Newsgroups: net.emacs,net.sources
Subject: A faster version of the Emacs 1-word in-buffer speller, ask
Message-ID: <210@vax2.fluke.UUCP>
Date: 7 Jan 85 19:26:57 GMT
Date-Received: 9 Jan 85 12:04:15 GMT
Distribution: net
Organization: John Fluke Mfg. Co., Inc., Everett, WA
Lines: 70
Xref: godot net.emacs:296 net.sources:1217

This is the lastest version of the Emacs 'ask' function, created by David
Jacobson at the University of Washington, and modified by Jeff Meyer at the
John Fluke Co.  Basically, the only change has been for the function to use
the Unix 'look' command, rather than 'spell'.

---------

'ask' examines the word in the current buffer that the cursor lies on (or
precedes the cursor, if the cursor is on a word boundary).  It returns a
message indicating whether the word is misspelled or not (according to the
'look' command).  Currently, case is not examined and the dictionary
/usr/dict/words is used; this can be changed by altering the Emacs filter to
'look' (see the manual entry to 'look(1)').

Any queries or bugs should be sent to:

					Moriarty, aka Jeff Meyer
					John Fluke Mfg. Co., Inc.
UUCP:
 {cornell,decvax,ihnp4,sdcsvax,tektronix,utcsrgv}!uw-beaver \
    {allegra,gatech!sb1,hplabs!lbl-csam,decwrl!sun,ssc-vax} -- !fluke!moriarty
ARPA:
	fluke!moriarty@uw-beaver.ARPA


-----------------------------*CUT HERE*--------------------------------------
(defun 
    (ask w-u-t spelled-wrong close-try
	 (save-window-excursion 
	     (if (! (looking-at "\\b\\w"))
		 (backward-word))  ;  get to beg of word
	     (set-mark)
	     (forward-word)
	     (if (looking-at "'[a-zA-Z]")
		 (progn 
			(forward-character)
			(forward-word))
	     )
	     (setq w-u-t (region-to-string))
	     (message ": ask " w-u-t)
	     (sit-for 0)
	     (temp-use-buffer "Spell buffer")
	     (setq needs-checkpointing 0)
	     (erase-buffer)
	     (set-mark)
	     (fast-filter-region 
		 (concat "/usr/bin/look " w-u-t)
	     )
	     (setq spelled-wrong
		   (| (= (buffer-size) 0)
		      (progn 
			     (beginning-of-file)
			     (forward-word)
			     (if (looking-at "'[a-zA-Z]")
				 (progn 
					(forward-character)
					(forward-word))
			     )
			     (setq close-try (region-to-string))
			     (!= close-try w-u-t)
		      )
		   )
	     )
	 )
	 (if spelled-wrong
	     (message """" w-u-t """ is misspelled")
	     (message """" w-u-t """ is spelled OK"))
	 (novalue)
    )
)


