;-----------------------------------------------------------------------------
;NAME
;   center-line.ml -- function to centre the current line
;
;SYNOPSIS
;   centerline -- centers the current line relative to current right margin
;
;DESCRIPTION
;   Uhhh...
;
;HISTORY
;   04-Jul-84  Eric S. Raymond at Rabbit Software
;	Added this documentation header.
;-----------------------------------------------------------------------------

(defun
    (center-line width
	(save-excursion
	    (beginning-of-line)
	    (delete-white-space)
	    (end-of-line)
	    (delete-white-space)
	    (setq width (current-column))
	    (beginning-of-line)
	    (to-col (/ (- (+ left-margin
			     (if (<= right-margin 200)
				right-margin
				 (<= default-right-margin 200)
				default-right-margin
				80
			     )
			  )
			  width
		       ) 2
		    )
	    )
	)
    )

    (centre-line			; synonym for above
	(centre-line)
    )
)
