;---------------------------------------------------------------------------
;NAME
; cheap-shell.ml
;
;SYNOPSIS
;
; do shell commands without starting a real shell.  This is for
; System III and V.
;
;KEYBINDINGS
;
;HISTORY
; error checking and general changes done by David Medinets in 1984
;----------------------------------------------------------------------
;
(declare-global &shell_old_buff)

(defun
  (shell
     (bind-to-key "shell-mode" "")
     (setq &shell_old_buff (current-buffer-name))
     (pop-to-buffer "shell")
     (local-bind-to-key "exec" "\015")
     (pop-to-buffer &shell_old_buff)
     (shell-mode)
  )
)
		
(defun
  (shell-mode
     (if (= (current-buffer-name) "shell")
        (pop-to-buffer &shell_old_buff)
        (progn 
           (setq &shell_old_buff (current-buffer-name))
           (pop-to-buffer "shell")
           (end-of-file)
           (newline)
           (insert-string "% ")
        )
     )
  )
)


(defun
   (exec command
      (beginning-of-line)
      (if (looking-at "% ")
         (progn 
            (forward-character)
	    (set-mark)
	    (end-of-line)
	    (setq command (region-to-string))
	    (newline)
	    (set-mark)
	    (message "Working on your command.")
	    (sit-for 10)
	    (filter-region command)
	    (insert-string "% ")
         )
	 (progn 
	   (end-of-line)
	   (message "That was not a command line")
	   (sit-for 20)
	   (next-line)
         )
      )
   )
)
