;----------------------------------------------------------------------------
;NAME
;  globaldel.ml -- delete all lines containing specified regular expression
;
;SYNOPSIS
;   global-delete-lines	-- drop out all lines that match the regular expression
;
;DESCRIPTION
;	This function searches the buffer for all lines matching the
;	specified regular expression and deletes them. Dot  is  left 
;	following the last line deleted.
;
; 	NOTICE that if doing a regular search for ^^J or a line 
;	containing only a linefeed, that this function will not 
; 	work correctly, and will, in fact, DESTROY your file.
;HISTORY
;   04-Jul-84  Eric S. Raymond at Rabbit Software
;	Added documentation, changed this to use RE search.
;----------------------------------------------------------------------------

(defun
    (global-delete-lines target delcnt
	(setq delcnt 0)
	(setq target (arg 1 ": global-delete-lines containing "))
	(save-excursion
	    (error-occurred
		(beginning-of-file)
		(while 1
		    (re-search-forward target)
		    (beginning-of-line)
		    (kill-to-end-of-line)
		    (kill-to-end-of-line)
		    (setq delcnt (+ delcnt 1))
		)
	    )
	)
	(message (concat delcnt " lines deleted"))
    )
)

; globaldelete.ml ends here -------------------------------------------------
