;---------------------------------------------------------------------------
;NAME
;   learn.ml -- package for the emacs tutorial
;
;SYNOPSIS
;   learn -- edit the emacs tutorial file in its own buffer
;
;KEY BINDINGS
;   None.
;
;DESCRIPTION
;   The learn text file walks the user through uses of Emacs commands
; on the default keymap -- it's actually fairly useful for a first-timer.
;
; This package is autoloaded.
; 
;FILES
;   (database-directory)/tutorial.txt	-- the tutorial text
;
;HISTORY
; {1}	 2-Oct-84  David Medinets (dm) at unipress
;	Added a check to make sure that  the tutorial  file exists before
;	the  function  is  defined.   I  also added  the error-message to
;	inform the user that he/she is missing a file.
;
;   04-Jul-84  Eric S. Raymond at Rabbit Software
;	Added this documentation header.
;---------------------------------------------------------------------------

(if (file-exists (concat database-directory "tutorial.txt"))
   (defun
      (learn
	 (save-window-excursion 
	    (delete-other-windows)
	    (switch-to-buffer "emacs-tutorial")
	    (erase-buffer)
	    (insert-file (concat database-directory "tutorial.txt"))
	    (setq needs-checkpointing 0)
	    (recursive-edit)
	 )
      )
   )
   (error-message (concat "You need the tutorial file " 
		database-directory "tutorial.txt to run learn."))
)

; learn.ml ends here -------------------------------------------------------
