;---------------------------------------------------------------------------
;NAME
;   normal-mode.ml -- Twenex-like default mode for Emacs
;
;SYNOPSIS
;   normal-mode
;
;KEY BINDINGS
;   Erases the global map.
;
;DESCRIPTION
;   This does nothing of any interest whatsoever. That's why it's the
;default...
;
;HISTORY
;   04-July-84   Eric S. Raymond at Rabbit Software
;	Added this documentation.
; 
; [2] Sat Dec  1 00:40:39 1984  Andrew Scott Beals (bandy at bedford)
;   Changed right-margin to 0 so emacs won't add gratuitis newlines.
;   Also fixed comments that the change generator added, which broke
;   the code (sigh).
; 
; [1] Mon Aug 27 19:00:42 1984  John McLaughlin  (mcl at unipress)
;   Changed right-margin to 80
;   added the line (use-global-map default-global-keymap)
;---------------------------------------------------------------------------

(defun
    (normal-mode
	(setq right-margin 0) ; [1] from 1000 to 80 ; [2] from 80 to 0
	(setq left-margin 1)
	(use-abbrev-table "normal-mode")
	(use-global-map "default-global-keymap") ; [1] added this
	(remove-all-local-bindings)
	(setq mode-string "Normal")
	(novalue)
    )
)
(novalue)
