; samplepro.ml		Sample Emacs profile
;
; You can use this as a guide for writing your own Emacs profile to
; customize Emacs to your taste.  Copy this file into your directory,
; naming it ${HOME}/.emacs_pro, and make the changes you want...
;
(bind-to-key "backward-character"		"\^H")
(bind-to-key "case-word-capitalize"		"\ec")
(bind-to-key "backward-word"			"\eh")
(bind-to-key "delete-previous-word"		"\e\177")
(bind-to-key "fill-paragraph"			"\eq")
(bind-to-key "copy-region-to-kill-buffer"	"\ew")
(bind-to-key "idelete-buffer"			"\^Xk")
(bind-to-key "buffer-not-modified"		"\e~")
(bind-to-key "pause-emacs"			"\ep")
(bind-to-key "new-undo"				"\^X\^U")
(bind-to-key "delete-white-space"		"\e\\" )
;(bind-to-key "push-mark"			"\000")
(bind-to-key "execute-mlisp-buffer"		"\^x\^l")
(bind-to-key "re-search-forward"		"\^s")
(bind-to-key "re-search-reverse"		"\^r")
(bind-to-key "mark-whole-buffer"		"\^Xh")
(bind-to-key "mail"				"\^Xr")
(bind-to-key "send-mail"			"\^Xm")
(bind-to-key "expand-mlisp-variable"		"\^Xv")
(bind-to-key "expand-mlisp-word"		"\^Xc")
(bind-to-key "backward-paren"			"\e(")
(bind-to-key "forward-paren"			"\e)")
; 
; Set up special bindings if we're on the IBM-PC/AT Crosstalk
; vt100 emulator.  The "backarrow" key sends backspace, so
; change the bindings involving DEL to use backspace instead.
;
(if (= (getenv "TERM") "vt100-x")
    (progn 
      (bind-to-key "delete-previous-character"	"\^H")
      (bind-to-key "delete-previous-word"	"\e\^H")
      (bind-to-key "kill-to-beginning-of-sentence" "\^X\^H")
    )
)
(setq use-.emacs-uid-file		0)
(setq show-filename-in-mode-line	0)
(setq display-file-percentage		1)
(setq ctlchar-with-^			1)
(setq case-fold-search			1)
(setq help-on-command-completion-error	0)
(setq show-filename-in-mode-line	0)
(setq silently-kill-processes		1)
(setq ask-about-buffer-names		1)
(setq quick-redisplay			1)
(setq wrap-long-lines			1)
(setq backup-before-writing		1)
(setq backup-by-copying-when-linked	1)
(setq default-mode-line-format		"%C%[Buffer: %b%* %M (%m) %f %p%] ")
(setq ignore-hangup			0)

(setq-default &elec-c-indent-style 	1)	; kernel style

(autoload "mail"			"berkmail.ml")
(autoload "send-mail"			"berkmail.ml")
(autoload "new-undo"	 		"undo.ml")
(autoload "time" 			"time.ml")
(autoload "spell" 			"spell.ml")
(autoload "incremental-search"		"incr-search.ml")
(autoload "reverse-incremental-search"	"incr-search.ml")
(autoload "elec-c-mode" 		"elec-c.ml")
(autoload "elec-mlisp-mode"		"elec-lisp.ml")
(autoload "dired" 			"dired.ml")
(autoload "buffer-edit"			"buffer-edit.ml")
(autoload "whist"			"whist.ml")
(autoload "whist-insert-edit-tag"	"whist.ml"	"\^x\^t")
(autoload "grep"			"grep.ml")


(auto-execute "elec-c-mode" "*.c")
(auto-execute "elec-c-mode" "*.h")
(auto-execute "elec-mlisp-mode" "*.ml")
(auto-execute "elec-lisp-mode" "*.l")
(auto-execute "elec-mlisp-mode" "*.emacs_pro")


(defun (help (info)))
(defun (shell-hook (local-bind-to-key "delete-previous-character" "\177")
		   (local-bind-to-key "send-int-signal" "\^C")))
(defun (text-mode-hook (setq right-margin 75)))
(defun (idelete-buffer	idb
	(setq idb (arg 1 ": delete buffer: "))
	(delete-buffer (if (length idb) idb (current-buffer-name)))))
;
; The following are now in common.ml
;
;(defun (buffer-not-modified (setq buffer-is-modified 0)))
;(defun (copy-region-to-kill-buffer (copy-region-to-buffer "Kill buffer")))
;(defun (revert-file name
;	(setq name (current-file-name))
;	(delete-buffer (current-buffer-name))
;	(visit-file name)
;	(novalue)))
;(defun (name-keyboard-macro
;	(define-keyboard-macro (arg 1 "Name: "))
;	(novalue)))
;(defun (mark-whole-buffer
;	(beginning-of-file)
;	(set-mark)
;       	(end-of-file)
;	(novalue)))
