;-----------------------------------------------------------------------------
;NAME
;   shift.ml -- shift the current window left or right
;
;SYNOPSIS
;   dot-to-left-margin	-- shift the window leftwards
;   dot-to-right-margin	-- shift the window rightwards
;   dot-to-centre	-- center dot's buffer position in the window
;
;KEY BINDINGS
;   dot-to-left-margin				^X<
;   dot-to-right-margin				^X>
;   dot-to-centre				^X=
;
;DESCRIPTION
;   These functions shift the window's view of the buffer left or right
;by twiddling the left-offset system variable.
;
;HISTORY
;   04-Jul-84   Eric S. Raymond at Rabbit Software
;	Added this documentation header.
;-----------------------------------------------------------------------------
(defun
    (dot-to-left-margin
	   (setq left-offset (- (current-column) 1)))
    (dot-to-right-margin
	(setq left-offset (- (current-column) (window-width))))
    (dot-to-centre
	(setq left-offset (- (current-column) (/ (window-width) 2))))
)
(bind-to-key "dot-to-left-margin" "\^x<")
(bind-to-key "dot-to-right-margin" "\^x>")
(bind-to-key "dot-to-centre" "\^x=")
