;----------------------------------------------------------------------------
;NAME
;   text-mode.ml -- simple assist for text entry
;
;SYNOPSIS
;   text-mode		-- invokes this mode
;
;KEY BINDINGS
;   justify-paragraph		indent-C-procedure	ESC-j
;
;DESCRIPTION
;   This package provides a very simple assist for text entry.  If you
; define a function called text-mode-hook, that function will be executed
; whenever text-mode is executed.  Usually text-mode is auto-executed
; when a file is visited, based on the file's extension, but you can
; invoke it explicitly.
;
;HISTORY
; {2}	29-Aug-84  John McLaughlin  (mcl) at unipress
; 	Added new text-mode stuff from justify.ml
;
; {1}	 4-Jul-84  Eric S. Raymond at Rabbit Software
;	Added rebind and this documentation.
;----------------------------------------------------------------------------
;
(load "justify.ml")
(defun
    (text-mode
	(remove-all-local-bindings)
	(local-rebind "justify-paragraph" "indent-C-procedure" "\ej")
	(setq right-margin 69)
	(setq mode-string "Text")
	(setq case-fold-search 1)
	(use-syntax-table "text-mode")
	(use-abbrev-table "text-mode")
	(setq left-margin 1)
	(error-occurred (text-mode-hook))
	(check-auto-justify)
	(novalue)
    )
)
(novalue)
