; %Z%%M%  vers. %I%  last mod %G% %U%  %Q%
;---------------------------------------------------------------------------
;NAME
; tog-buffs.ml
; 
;SYNOPSIS
; (toggle-buffers)		- Does ITS style buffer movement
; (find-file)			- Does ITS style find-file
; 
;KEYBINDINGS
;
; toggle-buffers   ^Xb
; find-file	   ^X^F
; write-file-exit  ESC-z
; 
;DESCRIPTION
; 
; Toggle buffers will switch to an already existing buffer.  If no buffer
; is specified then the default buffer is switched to.  The defualt buffer
; is the last visited buffer.
; Find file does a visit file but updated the global variable so
; toggle-buffers works correctly.
;
;HISTORY
;
; Thu Jul 26 15:42:51 1984  John McLaughlin  (mcl at unipress)
; 	created.
;----------------------------------------------------------------------


(declare-global &last-visited-buffer)
(temp-use-buffer "")
(defun (toggle-buffers &new-buff
  (if (= &last-visited-buffer "") 
     (setq &last-visited-buffer (current-buffer-name)))
  (setq &new-buff (get-tty-buffer 
                     (concat "Buffer(" (concat &last-visited-buffer "): "))))
  (if (= &new-buff "") (setq &new-buff &last-visited-buffer))
  (setq &last-visited-buffer (current-buffer-name))
  (switch-to-buffer &new-buff)
       )
)


(defun (find-file &new-file
  (setq &new-file (get-tty-file "Find file: "))
  (setq &last-visited-buffer (current-buffer-name))
  (visit-file &new-file)
  (delete-other-windows)
       )
)

(bind-to-key "toggle-buffers" "b")
(bind-to-key "find-file" "")
(bind-to-key "write-file-exit" "z")
