;------------------------------------------------------------------------------
;NAME
;   undo.ml -- interactive front end for the undo facility
;
;SYNOPSIS
;   new-undo	-- undo buffer-modification commands
;
;KEY BINDINGS
;   None.
;
;DESCRIPTION
;   This command permits the user to interactively roll back as many
;of the most recent buffer modifications as desired.
;
;HISTORY
;   04-Jul-84  Eric S. Raymond at Rabbit Software
;	Added this documentation header.
;------------------------------------------------------------------------------

(defun (new-undo c
	   (undo)
	   (while (progn (message "Hit <space> to undo more")
			 (= (setq c (get-tty-character)) ' '))
		  (undo-boundary)
		  (undo-more))
	   (message "Finished undoing.")
	   (if (& (!= c '\n')
		  (!= c '\r'))
	       (push-back-character c))
       ))


;-----------------------------------------------------------------------------
