;------------------------------------------------------------------------------
;NAME
;   writeregion.ml -- write region to file
;
;SYNOPSIS
;   write-region-to-file	-- accepts a filename arg.
;
;KEY BINDINGS
;   None.
;
;DESCRIPTION
;	Write area between dot and mark to a specified file. Can be
;	called either interactively or from another MLisp function.
;
;HISTORY
;   04-Jul-84  Eric S. Raymond at Rabbit Software
;	Added documentation.
;------------------------------------------------------------------------------

(defun
   (write-region-to-file fname
      (setq fname (arg 1 ": write-region-to-file "))
      (save-window-excursion
	  (copy-region-to-buffer "write-temp")
	  (temp-use-buffer "write-temp")
	  (write-named-file fname)
	  (delete-buffer "write-temp")
      )
      (novalue)
   )
)
; writeregion.ml --------------------------------------------------------------
